Bugzilla will be upgraded to version 5.0 on December 2, 2018. The outage period for the upgrade will start at 0:00 UTC and have a duration of 12 hours
Bug 616580 - Review Request: tlomt-junction-fonts - a humanist sans serif font
Review Request: tlomt-junction-fonts - a humanist sans serif font
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Paul Flo Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-20 16:20 EDT by Paul Flo Williams
Modified: 2010-09-04 01:17 EDT (History)
6 users (show)

See Also:
Fixed In Version: tlomt-junction-fonts-2.0-4.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-02 16:38:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
nicolas.mailhot: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
Mock build results (6.17 KB, application/octet-stream)
2010-07-20 16:20 EDT, Paul Flo Williams
no flags Details
repo-font-audit results for the package (4.55 KB, application/x-xz)
2010-08-15 07:03 EDT, Nicolas Mailhot
no flags Details

  None (edit)
Description Paul Flo Williams 2010-07-20 16:20:24 EDT
Created attachment 433255 [details]
Mock build results

Spec URL: http://hisdeedsaredust.com/pkg/tlomt-junction-fonts.spec
SRPM URL: http://hisdeedsaredust.com/pkg/tlomt-junction-fonts-2.0-1.fc13.src.rpm

Description:

Designed by Caroline Hadilaksono, inspired by her favorite humanist sans serif typefaces. It has the hand drawn and human qualities of a serif, and still retains the clarity and efficiencies of a sans serif typeface. It combines the best of both worlds.

Old style and lining figures are included.
Comment 1 Paul Flo Williams 2010-07-20 16:22:54 EDT
$ rpmlint tlomt-junction-fonts-2.0-1.fc13.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint tlomt-junction-fonts-2.0-1.fc13.src.rpm 
tlomt-junction-fonts.src: W: no-buildroot-tag
tlomt-junction-fonts.src: W: invalid-url Source0: junction.zip
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

no-buildroot-tag is ignorable.
Source URL has a query string after the zip name, so I've put the full URL as a comment.
Comment 2 Paul Flo Williams 2010-07-21 03:11:25 EDT
Builds in Koji:

http://koji.fedoraproject.org/koji/taskinfo?taskID=2332443
Comment 3 Parag AN(पराग) 2010-07-21 08:49:25 EDT
Sponsorship in Fedora needs you to either submit few more packages say 2 packages or review existing packages of other submitters which can be seen at http://fedoraproject.org/PackageReviewStatus/NEW.html
Comment 4 Jochen Schmitt 2010-07-21 16:21:10 EDT
you should put the download URL of the ZIP file into the Source0: tag. Every URL, even a query URL, is OK as long as you can use the spectool utitlity to downlaod the sources be specify the sPEC file.

If you do it, I may start the review of this package and may sponsor you, if I can approve your package.
Comment 5 Paul Flo Williams 2010-07-21 17:05:59 EDT
Thank you. You've just taught me about a new tool!

Spec and SRPM updated:

Spec URL: http://hisdeedsaredust.com/pkg/tlomt-junction-fonts.spec
SRPM URL:
http://hisdeedsaredust.com/pkg/tlomt-junction-fonts-2.0-2.fc13.src.rpm
Comment 6 Jochen Schmitt 2010-07-22 13:19:40 EDT
Good:
+ basename of the SPEC file has the same name as the package.
+ package zip file matches with upstream one
  (md5sum: fe26a1f85d7f367781e0f8764552dff7)
+ Package has consistantly usage of rpm macros
+ Package is build for noarch
+ Package has a valid license tag
+ Package has OFL as a valid font license for fedora.  
+ package has no subpackage
+ locel build works fine
+ Rpmlint is quite for binary package
+ Build works fine on koji
+ Package has small %doc stanza, so no seperate subpackage is require
+ Package has proper %Changelog

Bad:
- Why do you call the package tlomt-junction. the upstream sources
  has the name junction and the official fontname I see on forntforge
  is Junction too.
- downloaded package wia spectool -g has not the upstream filename
  which was based by the query string. Sorry, this was my part.
  We should revert the change between -1 and -2 and add a comment
  why we don't put the URL in the Source0 tag.

question:
  How to you have determinate the version number of your package.
- Verbatin text of the license which is provided by the upstream
  is not provide by the package.
Comment 7 Paul Flo Williams 2010-07-22 16:52:30 EDT
1. Package is called tlomt-junction-fonts because the Font Packaging guidelines say that a foundry name should be used. The existing example is tlomt-sniglet-fonts.

2. spectool worked for me with the full url. Did it fail for you? If so, I'll go back to the original method, no problem.

3. The version number comes from the file "Junction FONTLOG.txt", and it is also why the author uses "Junction 02" as the directory name in the zip file. Unfortunately, the font metadata still says "1.000", but the versions in fonts are notoriously unreliable, especially when they say 1.000.

4. The verbatim text of the license provided in the zip is provided as /usr/share/doc/tlomt-junction-fonts-2.0/Open Font License.txt.

If you'd like me to generate a new version because the Source URL is no good, I'll do that tomorrow evening.

Thank you very much for looking at the package.
Comment 8 Paul Flo Williams 2010-07-23 14:06:16 EDT
Having mentioned tlomt-sniglet-fonts, I had a look at the spec for it and discovered that the Source URL will work without the query string. I've confirmed that it gives the same results as before, so I've removed the query.

Updated files:

Spec: http://hisdeedsaredust.com/pkg/tlomt-junction-fonts.spec
SRPM: http://hisdeedsaredust.com/pkg/tlomt-junction-fonts-2.0-3.fc13.src.rpm
Comment 9 Nicolas Mailhot 2010-08-15 07:02:36 EDT
(In reply to comment #8)

> Spec: http://hisdeedsaredust.com/pkg/tlomt-junction-fonts.spec
> SRPM: http://hisdeedsaredust.com/pkg/tlomt-junction-fonts-2.0-3.fc13.src.rpm

Unfortunately, the zip file used has been created under OS X. Thus it leaks a __MACOSX/ directory on unzip.

People writing mass-package check scripts have been known to complain about this directory. You need to unzip manually like the gfs packages do

http://pkgs.fedoraproject.org/gitweb/?p=gfs-fleischman-fonts.git;a=blob;f=gfs-fleischman-fonts.spec#l44

(unzip upstream says it should be handled in rpm, rpm upstream says it should be handled in unzip, and no one wants to fix OSX zip unzipping. Feel free to poke them some more.)

The rest of the packaging seems sane
Comment 10 Nicolas Mailhot 2010-08-15 07:03:50 EDT
Created attachment 438819 [details]
repo-font-audit results for the package
Comment 11 Paul Flo Williams 2010-08-17 17:08:53 EDT
Thank you Nicolas. I've changed the unzipping to plug the directory leak. I'll send the fontlint and coverage results upstream.

Updated files:

Spec: http://hisdeedsaredust.com/pkg/tlomt-junction-fonts.spec
SRPM: http://hisdeedsaredust.com/pkg/tlomt-junction-fonts-2.0-4.fc13.src.rpm
Comment 12 Nicolas Mailhot 2010-08-18 02:30:05 EDT
This one is ready too.

䷣䷣䷣ APPROVED ䷣䷣䷣

You can now continue from
http://fedoraproject.org/wiki/Font_package_lifecycle#3.a

I hope the process was pleasant, and that it will inspire you to package a
other fonts for Fedora. Please do not hesitate to suggest improvements to our
organisation or documentation on the fonts mailing list.

Thank you for another contribution to our font package pool.

⇒ REASSIGNING, this package is all yours now
Comment 13 Paul Flo Williams 2010-08-19 08:23:41 EDT
Jochen, Nicolas: thank you for the review.

New Package SCM Request
=======================
Package Name: tlomt-junction-fonts
Short Description: A humanist sans serif font
Owners: frixxon
Branches: f13 f14 el6
InitialCC: fonts-sig
Comment 14 Kevin Fenzi 2010-08-23 17:09:00 EDT
Git done (by process-git-requests).
Comment 15 Fedora Update System 2010-08-25 13:44:42 EDT
tlomt-junction-fonts-2.0-4.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/tlomt-junction-fonts-2.0-4.fc13
Comment 16 Fedora Update System 2010-08-25 13:44:47 EDT
tlomt-junction-fonts-2.0-4.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/tlomt-junction-fonts-2.0-4.fc14
Comment 17 Fedora Update System 2010-08-25 21:01:20 EDT
tlomt-junction-fonts-2.0-4.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update tlomt-junction-fonts'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/tlomt-junction-fonts-2.0-4.fc13
Comment 18 Fedora Update System 2010-09-02 16:38:12 EDT
tlomt-junction-fonts-2.0-4.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2010-09-04 01:17:29 EDT
tlomt-junction-fonts-2.0-4.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.